**Source URL:** https://limited.veevavault.dev/regulatory/vault-api/api-reference/19.1/object-lifecycle-workflows/workflow-tasks/retrieve-workflow-task-details.md

# Retrieve Workflow Task Details



Retrieve the details of a specific workflow task.

<Endpoint path="/api/{version}/objects/objectworkflows/tasks/{task_id}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{task_id}` | The task `id` field value. |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `loc` | When localized (translated) strings are available, retrieve them by including `loc=true`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v14.0/objects/objectworkflows/tasks/7201

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "responseDetails": {
    "total": 1,
    "offset": 0,
    "page_size": 200,
    "object": {
      "name": "objectworkflow_tasks",
      "label": "Object Workflow Task",
      "url": "/api/v15.0/objects/objectworkflows/tasks?object__v=product__v&record_id__v=00P07551",
      "label_plural": "Object Workflow Tasks"
    }
  },
  "data": [
    {
      "id": 7201,
      "label__v": "Approve",
      "status__v": [
        "available__v"
      ],
      "object__v": "product__v",
      "record_id__v": "00P07551",
      "instructions__v": "Approve or reject.",
      "created_date__v": "2016-05-04T17:25:17.000Z",
      "workflow__v": "801"
    }
  ]
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response lists all object workflow tasks matching the query parameters. The task may include the following fields:

* `id` - The task ID.

* `label__v` - The task label as seen in the UI.

* `status__v` - The current status of the task.

* `object__v` - The name of the object using the task.

* `record_id__v` - The ID of the object record using the task.

* `instructions__v` - Instructions for completing the task.

* `assignee__v` - The ID of the user assigned the task. This is the task owner.

* `created_date__v` - The date and time when the task was created.

* `assigned_date__v` - The date and time when the task was assigned.

* `due_date__v` - The date and time when the task is due.

* `workflow__v` - The workflow ID in which the task is configured.



---

**Previous:** [Retrieve Object Workflow Tasks](/regulatory/vault-api/api-reference/19.1/object-lifecycle-workflows/workflow-tasks/retrieve-object-workflow-tasks)  
**Next:** [Retrieve Workflow Task Actions](/regulatory/vault-api/api-reference/19.1/object-lifecycle-workflows/workflow-tasks/retrieve-workflow-task-actions)